package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PopulationSummary;
import com.lightinit.hsdatashow.entity.PopulationSummaryExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.PopulationSummaryReturnModel;
import org.apache.ibatis.annotations.Param;

public interface PopulationSummaryMapper {
    long countByExample(PopulationSummaryExample example);

    int deleteByExample(PopulationSummaryExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PopulationSummary record);

    int insertSelective(PopulationSummary record);

    List<PopulationSummary> selectByExample(PopulationSummaryExample example);

    PopulationSummary selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PopulationSummary record, @Param("example") PopulationSummaryExample example);

    int updateByExample(@Param("record") PopulationSummary record, @Param("example") PopulationSummaryExample example);

    int updateByPrimaryKeySelective(PopulationSummary record);

    int updateByPrimaryKey(PopulationSummary record);

    List<PopulationSummaryReturnModel> getPopulationSummary(int year);
}